Skip to main content
Affiliate Campaign status can be replicated using this API. You are not allowed to delete affiliate campaigns.

Affiliate Campaign Properties

Custom Data

Affiliate campaigns may have Custom Data Fields applied to them, which will be applied to calls originating through the affiliate campaign. To apply Custom Data Values to an affiliate campaign, the top level parameter custom_data should be assigned a hash with each pair’s key corresponding to a partner name. The value of the pair should be the value to be applied. For the following example, we would apply the value “Offline newspaper” to the Custom Data Field “channel”.
Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>/affiliates/<affiliate_id_from_network>/affiliate_campaigns.json

GET All Affiliate Campaigns

Get all Affiliate Campaigns for a given advertiser campaign. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>/affiliate_campaigns.json Format: application/json Response Code: 200

GET an Affiliate Campaign

GET of Affiliate Campaign status for a specific advertiser campaign and affiliate. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/354/advertiser_campaigns/12/affiliates/976/affiliate_campaigns.json Format: application/json Response Code: 200

Response Example


POST Create an Affiliate Campaign

Create Affiliate Campaign with status for a given advertiser campaign and affiliate.
The Network Integration API only provides the ability to create an affiliate campaign with status “Applied”. If the Advertiser Campaign is set to “Approve All”, the campaign will automatically transition to “Approved”.
Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/354/advertiser_campaigns/12/affiliates/975/affiliate_campaigns.json Format: application/json

Request Example

Response Example

Same as a GET response, includes all the affiliate campaign properties.

Error Example: Not Found (404)

Attempting to transition to an invalid status returns a 403 error. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/354/advertiser_campaigns/13/affiliates/976/affiliate_campaigns.json Format: application/json

Request Body

Response Code: 403

Response Body


PUT Update an Affiliate Campaign

Update Affiliate Campaign status for a given advertiser campaign and affiliate. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/354/advertiser_campaigns/12/affiliates/976/affiliate_campaigns.json Format: application/json

Request Example

Response Example

Same as a GET response, includes all the affiliate campaign properties.

DELETE an Affiliate Campaign

You are not allowed to delete an Affiliate Campaign.
Last modified on August 18, 2026